
Redmine - Feature #6434

Copy task with children to a new project.

2010-09-20 04:27 - Cyber Sprocket

Status: Closed Start date: 2010-09-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

I have many projects that start with the same set of parent & children tasks:

Do This Group Of Things

Setup A

Configure A

Test A

DO That Group Of Things

Setup B

Load B

Compile X

Test B with X

Often I will select the parent task (Do this Group Of Things) and all of its children and copy it to a new project.

When the tasks appear in the new project the parent/child relationship is gone.   All of the tasks are there but there is no subtask

assigned to the parent.   I have to manually go in and edit each child and attach it to the proper task ID # as the parent.

Related issues:

Related to Redmine - Feature #6965: Option to Copy Subtasks when copying an i... Closed 2010-11-23

History

#1 - 2011-03-30 10:02 - Hans Bangkok

I don't do this (yet) between Projects, but I found that doing a "Duplicate" of a child task doesn't inherit the Parent field value.

#2 - 2012-09-08 08:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed as part of #6965.
